跳转到主要内容
系统管理/用户配置相关接口
GETUser Configuration起始版本 3.4.0同步需要认证

查询双因子认证密钥

查询双因子认证密钥

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • secretString必填

      双因子认证密钥

    • userUuidString必填

      用户UUID

    • userTypeString必填

      用户类型。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • statusTwoFactorAuthenticationSecretStatus必填

      详情参考status

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

请求地址

GET/zstack/v1/twofactorauthentication/secrets

/zstack/v1/twofactorauthentication/secrets

操作 ID

QueryTwoFactorAuthentication

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/twofactorauthentication/secrets' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "16620c01d20b390891ae1a1bc072ac0b", "secret": "ABCDEFGH12345678", "userUuid": "264d446f00e43793a2b0dcd21c367aaf", "userType": "AccountVO", "status": "NewCreated" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史